<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] != iAUTH || !iADMIN) { redirect("index.php").die("Access Denied"); }

include INFUSIONS."video/infusion_db.php";
include "inc.php";
require_once INCLUDES."bbcode_include.php";

echo $netrixNav;

if (isset($_GET['action']) && ($_GET['action'] == 'add_cat')) {

	opentable($locale['add_cat']);

		if (isset($_GET['action']) && ($_GET['action'] == 'add_cat') && (isset($_POST['create']))) {
			$cname = stripinput($_POST['cname']);
			$cdesc = stripinput($_POST['cat_description']);
			$query = dbquery("INSERT INTO ".DB_VIDEO_CAT." (cat_name, cat_description) VALUES('$cname', '$cdesc')");
				if ($query) { echo "<div id='close-message'><div class='admin-message'>{$locale['cat_added']}</div></div>\n"; }
				else { echo "<div id='close-message'><div class='admin-message'>{$locale['cat_fail']}</div></div>\n"; }
		}

	echo "<form name='form_cat_add' id='form_cat_add' method='post' action='".FUSION_SELF.$aidlink."&amp;action=add_cat' enctype='multipart/form-data'>\n";
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='500'>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['cat_name']}</td>\n";
	echo "<td class='tbl1'><input type='text' class='textbox' name='cname' style='width:250px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['cat_desc']}</td>\n";
	echo "<td class='tbl1'><textarea name='cat_description' cols='60' rows='5' class='textbox' style='width:250px'></textarea><br />\n";
	echo display_bbcodes("250px", "cat_description", "form_cat_add","smiley|b|u|small|url|img|color") . "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='2' class='forum-caption'>\n";
	echo "<input type='submit' name='create' value='{$locale['add_cat']}' class='button' style='float:right' />\n";
	echo "</td>\n</tr>\n</table>\n";
	echo "</form>\n";
	footer();
	closetable();

}

elseif (isset($_GET['action']) && ($_GET['action'] == 'edit_cat') && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {

	opentable($locale['edit_cat']);

		if (isset($_GET['action']) && ($_GET['action'] == 'edit_cat') && (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) && (isset($_POST['update']))) {
			$cname = stripinput($_POST['cname']);
			$cdesc = stripinput($_POST['cat_description']);

			$update = dbquery("UPDATE ".DB_VIDEO_CAT." SET cat_name='$cname', cat_description='$cdesc' WHERE cat_id='" . $_GET['cat_id'] . "'");
				if ($update) { echo "<div id='close-message'><div class='admin-message'>{$locale['edit_suc']}</div></div>\n"; }
				else { echo "<div id='close-message'><div class='admin-message'>{$locale['edit_fail']}</div></div>\n"; }
}

$result = dbquery("SELECT * FROM ".DB_VIDEO_CAT." WHERE cat_id=" . $_GET['cat_id'] .
" LIMIT 0,1");
$data = dbarray($result);

if ($data) {

	echo "<form name='form_cat_add' id='form_cat_add' method='post' action='".FUSION_SELF.$aidlink."&amp;action=edit_cat&cat_id=".$_GET['cat_id']."' enctype='multipart/form-data'>\n";
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='500'>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['cat_name']}</td>\n";
	echo "<td class='tbl1'><input type='text' class='textbox' name='cname' style='width:250px' value='{$data['cat_name']}' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['cat_desc']}</td>\n";
	echo "<td class='tbl1'><textarea name='cat_description' cols='60' rows='5' class='textbox' style='width:250px'>{$data['cat_description']}</textarea><br />\n";
	echo display_bbcodes("250px", "cat_description", "form_cat_add","smiley|b|u|small|url|img|color") . "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='2' class='forum-caption'>\n";
	echo "<input type='submit' name='update' value='{$locale['edit_update']}' class='button' style='float:right' />\n";
	echo "</td>\n</tr>\n</table>\n";
	echo "</form>\n";

}
else { $locale['edit_exist']; }
	footer();
	closetable();
} elseif (isset($_GET['action']) && ($_GET['action'] == 'delete_cat') && (isset($_GET['cat_id']) && isnum($_GET['cat_id']))) {
	$num = dbcount("(cat_id)", DB_VIDEO, "cat_id='".$_GET['cat_id']."'");
	if ($num == 0) {
		$sannum = preg_replace('/[^0-9 ]/i', '', $_GET['cat_id']);
		$delete = dbquery("DELETE FROM ".DB_VIDEO_CAT." WHERE cat_id='".$sannum."'");
		redirect(FUSION_SELF.$aidlink."&amp;sucdel");
		die();
	} else {
		redirect(FUSION_SELF.$aidlink."&amp;faildel");
	}
	
} else {
	opentable($locale['cur_cat']);
		echo "<table cellpadding='2' cellspacing='1' class='tbl-border center' width='500'>\n";
		echo "<tr><td colspan='2'>\n";
		if (isset($_GET['sucdel'])) {
			echo "<div id='close-message'><div class='admin-message'>{$locale['sucdel']}</div></div>\n";
		}
		if (isset($_GET['faildel'])) {
			echo "<div id='close-message'><div class='admin-message'>{$locale['faildel']}</div></div>\n";
		}
		echo "<form action='".FUSION_SELF.$aidlink ."&amp;action=add_cat' method='post' enctype='multipart/form-data'>\n";
		echo "<input type='submit' name='update' value='{$locale['add_cat']}' class='button' style='float:right' />\n";
		echo "</form>\n";
		echo "</td></tr>\n";
		echo "<tr class='forum-caption'>\n<td><strong>{$locale['v_cat']}</strong></td><td><strong>{$locale['v_options']}</strong></td>\n</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_VIDEO_CAT." ORDER BY cat_name ASC");
		if (dbrows($result) != 0) {
			$count=1;
			while ($data = dbarray($result)) {
				$num = dbcount("(cat_id)", DB_VIDEO, "cat_id='".$data['cat_id']."'");
				$class = ($count % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n<td class='{$class}'>{$data['cat_name']} ({$num})</td>\n";
				echo "<td class='{$class}'>\n";
				echo "<a href='{$aidlink}&amp;action=edit_cat&amp;cat_id={$data['cat_id']}'>{$locale['nedit']}</a> | \n";
				if ($num >= 1) {
				echo "<s>{$locale['ndelete']}</s>\n";
				} else {
				echo "<a href='{$aidlink}&amp;action=delete_cat&amp;cat_id={$data['cat_id']}'>{$locale['ndelete']}</a>";
				}
				echo "</td>\n</tr>\n";
				$count++;
			}
		}
		echo "</table>\n";
		footer();
	closetable();
}

require_once THEMES . "templates/footer.php";
?>