<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
include INFUSIONS . "video/infusion_db.php";

if (file_exists(INFUSIONS."video/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video/locale/English.php";
}

$rating = (int)$_POST['rating'];
$id = (int)$_POST['id'];

// sql injection prevention
$rating = preg_replace('/[^0-9 ]/i', '', $rating);
$id = preg_replace('/[^0-9 ]/i', '', $id);

if (!isnum($rating) || !isnum($id)) {
	die("invalid post");
}

$query = dbquery("SELECT * FROM ".DB_VIDEO." WHERE id = '{$id}'");

if (dbrows($query) != 0) {
while ($row = dbarray($query)) {

	if($rating > 5 || $rating < 1) {
		die("invalid post");
	}
	
	elseif(isset($_COOKIE['rated'.$id])) {
		echo $locale['v_already'];
	}
	else {

		setcookie("rated".$id, $id, time()+60*60*24*365);

		$total_ratings = $row['total_ratings'];
		$total_rating = $row['total_rating'];
		$current_rating = $row['rating'];

		$new_total_rating = $total_rating + $rating;
		$new_total_ratings = $total_ratings + 1;
		$new_rating = $new_total_rating / $new_total_ratings;

		dbquery("UPDATE ".DB_VIDEO." SET total_rating = '".$new_total_rating."' WHERE id = '".$id."'");
		dbquery("UPDATE ".DB_VIDEO." SET rating = '".$new_rating."' WHERE id = '".$id."'");
		dbquery("UPDATE ".DB_VIDEO." SET total_ratings = '".$new_total_ratings."' WHERE id = '".$id."'");

		echo $locale['v_record'];

	}
}
}
?>