<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] != iAUTH || !iADMIN) { redirect("index.php").die("Access Denied"); }

include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

echo $netrixNav;

$sucess=false;

if (isset($_POST['update'])) {
	$maxs = preg_replace('/[^0-9 ]/i', '', $_POST['maxs']);
	$width = preg_replace('/[^0-9 ]/i', '', $_POST['width']);
	$height = preg_replace('/[^0-9 ]/i', '', $_POST['height']);
	$color = preg_replace('/[^#A-Z0-9 ]/i', '', $_POST['color']);
	$skins = preg_replace('/[^0-9A-Z. ]/i', '', $_POST['skin']);
	$cont = preg_replace('/[^A-Z ]/i', '', $_POST['controlbar']);
	$auto = preg_replace('/[^A-Z ]/i', '', $_POST['autostart']);
	$disp = preg_replace('/[^A-Z ]/i', '', $_POST['display']);
	$columns = preg_replace('/[^0-9 ]/i', '', $_POST['columns']);
	$update = dbquery("UPDATE ".DB_VIDEO_SET." SET maxsize='$maxs', width='$width', height='$height', color='$color', skin='$skins', control='$cont', auto='$auto', display='$disp', columns='$columns' WHERE netrix='netrix'");
	$sucess=true;
}

opentable($locale['va_settings']);
	$admin = dbquery("SELECT * FROM ".DB_VIDEO_SET." LIMIT 0,1");
		while ($d = dbarray($admin)) {
			$maxs = $d['maxsize'];
			$width = $d['width'];
			$height = $d['height'];
			$color = $d['color'];
			$skins = $d['skin'];
			$cont = $d['control'];
			$auto = $d['auto'];
			$display = $d['display'];
			$columns = $d['columns'];
			}
	echo "<form name='form_settings' id='form_settings' method='post' action='".FUSION_SELF.$aidlink."' enctype='multipart/form-data'>\n";
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='500'>\n<tr>\n";
	echo "<td class='tbl2' colspan='2'>";
	if ($sucess) { echo "<div id='close-message'><div class='admin-message'>{$locale['a_update']}</div></div>\n"; }
	echo "<div style='float:right'>Current Version: {$version} | Status: {$nresults}</div>";
	echo "<strong>{$locale['a_global']}</strong></td>\n";
	echo "</tr>\n<tr>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['v_max']}</td>\n";
	echo "<td class='tbl'><input type='text' class='textbox' name='maxs' style='width:250px' value='{$maxs}' /><br />";
	echo "{$locale['b_only']} ({$maxs} bytes = ".bytesToSize($maxs).")</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_columns']}</td>\n";
	echo "<td class='tbl'>\n";
	echo "<select name='columns' class='textbox' style='width:250px' >\n";
	echo "<option value='1'".($columns == 1?" selected='selected'":"").">1</option>\n";
	echo "<option value='2'".($columns == 2?" selected='selected'":"").">2 ({$locale['a_default']})</option>\n";
	echo "<option value='3'".($columns == 3?" selected='selected'":"").">3</option>\n";
	echo "</select>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' colspan='2'><strong>{$locale['p_set']}</strong></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_dim']}</td>\n";
	echo "<td class='tbl'>";
	echo "<input type='text' class='textbox' name='width' style='width:117px' value='{$width}' />x";
	echo "<input type='text' class='textbox' name='height' style='width:117px' value='{$height}' />";
	echo "<br />{$locale['a_width']}&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&emsp;&ensp;{$locale['a_height']}</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_col']}</td>\n";
	echo "<td class='tbl'>";
	echo "<input type='text' class='textbox' name='color' style='width:200px' value='{$color}' /><br />{$locale['cexample']}</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_skin']}</td>\n";
	echo "<td class='tbl'>";
	$handle = opendir('skins/');
	while (false !== ($file = readdir($handle))) {
	if ($file!='.' && $file!='..' && $file!='index.php') {
    $files[] = $file;
	}
	}
	closedir($handle);
	$files = preg_replace("/.zip/", "", $files);
	$skins = preg_replace("/.zip/", "", $skins);
	echo "<select name='skin' class='textbox' style='width:250px' >\n";
	echo "<option value=''>None</option>\n";
	foreach($files as $nameVal) { 
	echo "<option value='{$nameVal}.zip' ".($nameVal == $skins?"selected='selected'":"").">{$nameVal}</option>\n";
	} 
	echo "</select>\n"; 
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_cont']}</td>\n";
	echo "<td class='tbl'>";
	echo "<select name='controlbar' class='textbox' style='width:250px' >\n";
	echo "<option value='bottom' ".($cont == "bottom"?"selected='selected'":"").">Bottom ({$locale['a_default']})</option>\n";
	echo "<option value='top'".($cont == "top"?" selected='selected'":"").">Top</option>\n";
	echo "<option value='over'".($cont == "over"?" selected='selected'":"").">Over</option>\n";
	echo "<option value='none'".($cont == "none"?" selected='selected'":"").">None</option>\n";
	echo "</select>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_auto']}</td>\n";
	echo "<td class='tbl'>";
	echo "<select name='autostart' class='textbox' style='width:250px' >\n";
	echo "<option value='false'".($auto == "false"?"selected='selected'":"").">False ({$locale['a_default']})</option>\n";
	echo "<option value='true'".($auto == "true"?"selected='selected'":"").">True</option>\n";
	echo "</select>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl'>{$locale['a_disp']}</td>\n";
	echo "<td class='tbl'>";
	echo "<select name='display' class='textbox' style='width:250px' >\n";
	echo "<option value='uniform'".($display == "uniform"?"selected='selected'":"").">Uniform ({$locale['a_default']})</option>\n";
	echo "<option value='exactfit'".($display == "exactfit"?"selected='selected'":"").">Exact Fit</option>\n";
	echo "<option value='fill'".($display == "fill"?"selected='selected'":"").">Fill</option>\n";
	echo "<option value='none'".($display == "none"?"selected='selected'":"").">None</option>\n";
	echo "</select>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' colspan='2'><strong>{$locale['v_preview']}</strong></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2' colspan='2'>";
	echo "<script type='text/javascript' src='player/swfobject.js'></script>\n";
	echo "<div style='text-align:center'>\n";
	echo "<div id='netrix_video'>{$locale['v_rep']}</div>";
	echo "<script type='text/javascript'>
	var so = new SWFObject('player/player.swf','ply','490','300','9','{$color}');
	so.addParam('allowfullscreen','true');
	so.addParam('allowscriptaccess','always');
	so.addParam('wmode','opaque');
	so.addVariable('file','http://www.youtube.com/v/I5NUkb-0lRo');
	so.addVariable('skin','skins/{$skins}.zip');
	so.addVariable('controlbar','{$cont}');
	so.addVariable('stretching','{$display}');
	so.addVariable('autostart', '{$auto}');
	so.addVariable('plugins', 'hd-1');
	so.addVariable('hd.state', 'true');
	so.addVariable('linktarget', 'http://www.phpfusionmods.com');
	so.write('netrix_video');";
	echo "</script>\n</div>";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='2' class='forum-caption'>\n";
	echo "<input type='submit' name='update' value='{$locale['a_save']}' class='button' style='float:right' />\n";
	echo "</td>\n</tr>\n</table>\n";
	echo "</form>\n";
footer();
closetable();

require_once THEMES . "templates/footer.php";
?>