<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/admin_header.php";

if (!checkrights("NXV") || !$_GET['aid'] || !defined("iAUTH") || $_GET['aid'] != iAUTH || !iADMIN) { redirect("index.php").die("Access Denied"); }

include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

echo $netrixNav;

// Fix Variables
$vname = "";
$vcat = "";
$video_type = "";
$video_name = "";
$custom = "";
$desc = "";
$url = "";
$video = "";
$errors = 0;
$error = "";
$query = false;
// End Fix

$maxsize = dbquery("SELECT maxsize FROM ".DB_VIDEO_SET);
if ($maxsize) { $maxsize = dbresult($maxsize, 0); }
else { $maxsize = "4194304"; }

define("MAX_SIZE", "$maxsize");

if (isset($_GET['action']) && ($_GET['action']=="edit_vid") && (isset($_GET['id']) && isnum($_GET['id'])) && isset($_POST['update'])) {
	$video = preg_replace('/[^0-9.A-Z ]/i', '', $_POST['video']);
	$vname = stripinput(trim($_POST['vname']));
	$vcat = preg_replace('/[^0-9 ]/i', '', $_POST['vcat']);
	$video_type = stripinput(trim($_POST['video_type']));
	$url = stripinput(trim($_POST['url']));
	$desc = stripinput(trim($_POST['description']));
	$custom = addslash($_POST['custom']);
}

if (isset($_GET['action']) && ($_GET['action']=="add") && isset($_POST['create']) || (isset($_GET['action']) && ($_GET['action']=="edit_vid") && (isset($_GET['id']) && isnum($_GET['id'])) && isset($_POST['update2']))) {
	$video = $_FILES['video']['name'];
	$vname = stripinput(trim($_POST['vname']));
	$vcat = preg_replace('/[^0-9 ]/i', '', $_POST['vcat']);
	$video_type = stripinput(trim($_POST['video_type']));
	$url = stripinput(trim($_POST['url']));
	$desc = stripinput(trim($_POST['description']));
	$custom = addslash($_POST['custom']);

if ($vname == "") {
	$error = $locale['err_noname'];
	$errors = 1;
}

if ($video) {
	$filename = stripslashes($_FILES['video']['name']);
	$extension = getExtension($filename);
	$extension = strtolower($extension);
		if (($extension != "flv") && ($extension != "mp4")
		&& ($extension != "mov") && ($extension != "f4v")
		&& ($extension != "3gp") && ($extension != "3g2")) {
			$error = $locale['err_ext'];
			$errors = 1;
		} else {
			$size = filesize($_FILES['video']['tmp_name']);
				if ($size > MAX_SIZE) {
					$error = $locale['err_size'];
					$errors = 1;
				}

	$video_name = (time() . '.' . $extension);
	$newname = "videos/" . $video_name;
	$copied = copy($_FILES['video']['tmp_name'], $newname);
		if (!$copied) {
			$error = $locale['err_copy'];
			$errors = 1;
		}
			}
}
}

if (isset($_GET['action']) && ($_GET['action']=="add") && isset($_POST['create']) && !$errors) {
	$query = dbquery("INSERT INTO ".DB_VIDEO." (name, description, cat_id, uid, time, video_type, file, url, custom) VALUES('$vname', '$desc', '$vcat', '{$userdata['user_id']}', '".time()."', '$video_type', '$video_name', '$url', '$custom')");
	redirect(FUSION_SELF.$aidlink."&amp;action=add&amp;added");
}
elseif (isset($_GET['action']) && ($_GET['action']=="add") && isset($_POST['create']) && !$query) {
	$error .= "<br />".$locale['err_insert'];
}

if (isset($_GET['action']) && ($_GET['action']=="edit_vid") && (isset($_GET['id']) && isnum($_GET['id'])) && isset($_POST['update']) && !$errors) {
	$update = dbquery("UPDATE ".DB_VIDEO." SET name='$vname', description='$desc', cat_id='$vcat', video_type='$video_type', url='$url', custom='$custom' WHERE id='" . $_GET['id'] . "'");
	$error = $locale['v_sup'];
}

if (isset($_GET['action']) && ($_GET['action']=="edit_vid") && (isset($_GET['id']) && isnum($_GET['id'])) && isset($_POST['update2']) && !$errors) {
	$update = dbquery("UPDATE ".DB_VIDEO." SET name='$vname', description='$desc', cat_id='$vcat', video_type='$video_type', file='$video_name', url='$url', custom='$custom' WHERE id='" . $_GET['id'] . "'");
	$error = $locale['v_sup'];
}

if (isset($_GET['added'])) {
	$error = $locale['err_added'];
}

if (isset($_GET['action']) && ($_GET['action']=="edit_vid") && (isset($_GET['id']) && isnum($_GET['id'])) && isset($_POST['update']) && isset($_POST['delete_file']) && ($_POST['delete_file'] == 'Yes')) {
	if (file_exists("videos/".$video)) {
	unlink("videos/".$video);
	} else {
	$error = $locale['v_sup']." ".$locale['err_file'];
	}
	$result = dbquery("UPDATE ".DB_VIDEO." SET file='' WHERE id='" .$_GET['id'] . "'");
}

if (isset($_GET['action']) && ($_GET['action']=="add") || (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id'])))) {

	if (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id']))) {
		$edit = dbquery("SELECT * FROM ".DB_VIDEO." WHERE id='".$_GET['id']."' LIMIT 0,1");
			while ($d = dbarray($edit)) {
				$vname = $d['name'];
				$vcat = $d['cat_id'];
				$video_type = $d['video_type'];
				$url = $d['url'];
				$video = $d['file'];
				$desc = $d['description'];
				$custom = stripslashes($d['custom']);
			}
	}
	$result = dbquery("SELECT cat_id, cat_name FROM ".DB_VIDEO_CAT." ORDER BY cat_name ASC");
	$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($vcat)) $sel = ($vcat == $data['cat_id'] ? " selected='selected'" : "");
				$catlist .= "<option value='".$data['cat_id']."'$sel>".$data['cat_name']."</option>\n";
		}
	opentable($locale['add_video']);
	if (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id']))) {
	echo "<form name='form_video' id='form_video' method='post' action='" . FUSION_SELF . $aidlink ."&amp;action=edit_vid&id=".$_GET['id']."' enctype='multipart/form-data'>\n";
	} else {
	echo "<form name='form_video' id='form_video' method='post' action='" . FUSION_SELF . $aidlink ."&amp;action=add' enctype='multipart/form-data'>\n";
	}
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='500'>\n<tr>\n";
	if ($errors == 1 || $error) {
	echo "<td colspan='2'>\n<div id='close-message'><div class='admin-message'>{$error}</div></div>\n</tr>\n<tr>\n";
	}
	echo "<td class='tbl1'>{$locale['v_name']}</td>\n";
	echo "<td class='tbl1'><input type='text' class='textbox' name='vname' style='width:250px' value='{$vname}' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2'>{$locale['cat_desc']}</td>\n";
	echo "<td class='tbl2'><textarea name='description' cols='60' rows='5' class='textbox' style='width:250px'>{$desc}</textarea>\n";
	echo display_bbcodes("250px", "description", "form_video","smiley|b|u|small|url|img|color") . "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['v_file']}</td>\n";
	if (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id']))) {
		if ($video) {
			echo "<td class='tbl1'><input type='checkbox' name='delete_file' value='Yes'>{$locale['v_upl']}</td>\n";
			echo "<input type='text' name='video' value='{$video}' style='position: absolute; left: -9999px; width: 1px; height: 1px;' />\n";
		} else {
			echo "<td class='tbl1'><input type='file' name='video' value='{$video}' /><br />
			{$locale['v_allowed']}<br />
			{$locale['v_max']} ".bytesToSize(MAX_SIZE)."</td>\n";
		}
	} else {
	echo "<td class='tbl1'><input type='file' name='video' value='{$video}' /><br />
			{$locale['v_allowed']}<br />
			{$locale['v_max']} ".bytesToSize(MAX_SIZE)."</td>\n";
	}
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2'>{$locale['v_url']}</td>\n";
	echo "<td class='tbl2'><input type='text' class='textbox' name='url' style='width:250px' value='{$url}' /><br />\n";
	echo $locale['v_exp'];
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['t_cust']}</td>\n";
	echo "<td class='tbl1'><textarea name='custom' cols='60' rows='5' class='textbox' style='width:250px'>{$custom}</textarea><br />\n";
	echo $locale['e_cust'];
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl2'>{$locale['v_type']}</td>\n";
	if (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id']))) {
		if ($video_type == "file") {
		echo "<td class='tbl2'><input type='radio' name='video_type' value='file' checked='checked' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' />{$locale['t_cust']}</td>\n";
		} elseif ($video_type == "youtube") {
		echo "<td class='tbl2'><input type='radio' name='video_type' value='file' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' checked='checked' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' />{$locale['t_cust']}</td>\n";
		} elseif ($video_type == "source") {
		echo "<td class='tbl2'><input type='radio' name='video_type' value='file' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' checked='checked' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' />{$locale['t_cust']}</td>\n";
		} elseif ($video_type == "custom") {
		echo "<td class='tbl2'><input type='radio' name='video_type' value='file' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' checked='checked' />{$locale['t_cust']}</td>\n";
		} else {
		echo "<td class='tbl2'><input type='radio' name='video_type' value='file' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' checked='checked' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' />{$locale['t_cust']}</td>\n";
		}
	} else {
	echo "<td class='tbl2'><input type='radio' name='video_type' value='file' checked='checked' />{$locale['t_file']}<input type='radio' name='video_type' value='youtube' />{$locale['t_tube']}<input type='radio' name='video_type' value='source' />{$locale['t_src']}<input type='radio' name='video_type' value='custom' />{$locale['t_cust']}</td>\n";
	}
	echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>{$locale['v_cat']}</td>\n";
	echo "<td class='tbl1'><select name='vcat' class='textbox' style='width:250px;' value='{$vcat}'>".$catlist."</select></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td colspan='2' class='forum-caption'>\n";
	if (isset($_GET['action']) && ($_GET['action'] == 'edit_vid') && (isset($_GET['id']) && isnum($_GET['id']))) {
		if ($video) {
			echo "<input type='submit' name='update' value='{$locale['v_save']}' class='button' style='float:right' />\n";
		} else {
			echo "<input type='submit' name='update2' value='{$locale['v_save']}' class='button' style='float:right' />\n";
		}
	} else {
	echo "<input type='submit' name='create' value='{$locale['v_save']}' class='button' style='float:right' />\n";
	}
	echo "</td>\n</tr>\n</table>\n";
	echo "</form>\n";
	footer();
	closetable();
} elseif (isset($_GET['action']) && ($_GET['action'] == 'delete_video') && (isset($_GET['id']) && isnum($_GET['id']))) {
		$sannum = preg_replace('/[^0-9 ]/i', '', $_GET['id']);
		$delete = dbquery("DELETE FROM ".DB_VIDEO." WHERE id='".$sannum."'");
		redirect(FUSION_SELF.$aidlink."&amp;sucdel");
		die();
} else {
	opentable($locale['nvideo']);
		echo "<table cellpadding='2' cellspacing='1' class='tbl-border center' width='500'>\n";
		echo "<tr><td colspan='2'>\n";
		if (isset($_GET['sucdel'])) {
			echo "<div id='close-message'><div class='admin-message'>{$locale['v_sdel']}</div></div>\n";
		}
		echo "<form action='".FUSION_SELF.$aidlink ."&amp;action=add' method='post' enctype='multipart/form-data'>\n";
		echo "<input type='submit' name='update' value='{$locale['add_video']}' class='button' style='float:right' />\n";
		echo "</form>\n";
		echo "</td></tr>\n";
		echo "<tr class='forum-caption'>\n<td>{$locale['v_video']}</td><td>{$locale['v_options']}</td>\n</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_VIDEO." ORDER BY name ASC");
		if (dbrows($result) != 0) {
			$count=1;
			while ($data = dbarray($result)) {
				$class = ($count % 2 == 0 ? "tbl1" : "tbl2");
				echo "<tr>\n<td class='{$class}'>{$data['name']}</td>\n";
				echo "<td class='{$class}'>\n";
				echo "<a href='{$aidlink}&amp;action=edit_vid&amp;id={$data['id']}'>{$locale['nedit']}</a> | \n";
				echo "<a href='{$aidlink}&amp;action=delete_video&amp;id={$data['id']}'>{$locale['ndelete']}</a>";
				echo "</td>\n</tr>\n";
				$count++;
			}
		}
		echo "</table>\n";
		footer();
	closetable();
}

require_once THEMES . "templates/footer.php";
?>