<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."video/locale/".$settings['locale'].".php")) {
	if (file_exists(INFUSIONS."video/locale/English.php") && ($settings['locale'] != "English")) {
		include INFUSIONS."video/locale/English.php";
	}
	include INFUSIONS."video/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video/locale/English.php";
}

function footer()
{
// !WARNING  !WARNING  !WARNING 
// Removal of this code will result in copyright
// infringement laws being pursued by the developer
// on your website. You may not remove the text below!
// ---------------------------------------------------
echo "<div style='float:right'><a href='http://www.phpfusionmods.com/'
	title='Copyright 2011 NetriX' target='_blank'>&copy;NetriX</a></div>";
// ---------------------------------------------------
// Removal of this code will result in copyright
// infringement laws being pursued by the developer
// on your website. You may not remove the text above!
// !WARNING  !WARNING  !WARNING 

}

function bytesToSize($bytes, $precision = 2)
{	
	$kilobyte = 1024;
	$megabyte = $kilobyte * 1024;
	$gigabyte = $megabyte * 1024;
	$terabyte = $gigabyte * 1024;
	
	if (($bytes >= 0) && ($bytes < $kilobyte)) {
		return $bytes . ' B';

	} elseif (($bytes >= $kilobyte) && ($bytes < $megabyte)) {
		return round($bytes / $kilobyte, $precision) . ' KB';

	} elseif (($bytes >= $megabyte) && ($bytes < $gigabyte)) {
		return round($bytes / $megabyte, $precision) . ' MB';

	} elseif (($bytes >= $gigabyte) && ($bytes < $terabyte)) {
		return round($bytes / $gigabyte, $precision) . ' GB';

	} elseif ($bytes >= $terabyte) {
		return round($bytes / $terabyte, $precision) . ' TB';
	} else {
		return $bytes . ' B';
	}
}

function getExtension($str) {
	$i = strrpos($str, ".");
		if (!$i) {
			return "";
		}
	$l = strlen($str) - $i;
	$ext = substr($str, $i + 1, $l);
	return $ext;
}

if (iADMIN) {
	$navigation = "<table cellpadding='0' cellspacing='1' class='tbl-border' style='text-align:center;width:100%;margin-bottom:1em;'>\n<tr>\n";
	$navigation .= "<td class='".(FUSION_SELF=="avideo.php"?"tbl1":"tbl2")."' style='width:25%'>".(FUSION_SELF=="avideo.php"?"<strong>":"")."<a href='avideo.php".$aidlink."'>{$locale['nvideo']}</a>".(FUSION_SELF=="avideo.php"?"</strong>":"")."</td>\n";
	$navigation .= "<td class='".(FUSION_SELF=="acat.php"?"tbl1":"tbl2")."' style='width:25%'>".(FUSION_SELF=="acat.php"?"<strong>":"")."<a href='acat.php".$aidlink."'>{$locale['ncat']}</a>".(FUSION_SELF=="acat.php"?"</strong>":"")."</td>\n";
	$navigation .= "<td class='".(FUSION_SELF=="admin.php"?"tbl1":"tbl2")."' style='width:25%'>".(FUSION_SELF=="admin.php"?"<strong>":"")."<a href='admin.php".$aidlink."'>{$locale['nsettings']}</a>".(FUSION_SELF=="admin.php"?"</strong>":"")."</td>\n";
	$navigation .= "<td class='tbl2' style='width:25%'><a href='index.php'>{$locale['nindex']}</a></td>\n";
	$navigation .= "</tr></table>\n";
	$netrixNav = $navigation;
}

$version = "1.04";
$curl_handle=curl_init();
curl_setopt($curl_handle, CURLOPT_URL,'http://www.phpfusionmods.com/updates/video.txt');
curl_setopt($curl_handle, CURLOPT_CONNECTTIMEOUT, 2);
curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($curl_handle, CURLOPT_USERAGENT, 'Version Checker NetriX');
$check = curl_exec($curl_handle);
curl_close($curl_handle);
$nresults = "";
if ($check > $version) { $nresults = "<strong>{$locale['nv']}</strong>"; } else { $nresults = $locale['utd']; } 
?>