<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
require_once INCLUDES . "bbcode_include.php";
include "inc.php";

if (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {

$column = dbquery("SELECT columns FROM ".DB_VIDEO_SET);
if ($column) { $columns = dbresult($column, 0); }
else { $columns = 2; }

if ($columns > 3 || $columns < 1) { $columns = 2; }

$catname = dbquery("SELECT cat_name FROM ".DB_VIDEO_CAT." WHERE cat_id='".$_GET['cat_id']."'");
if ($catname) { $catname = dbresult($catname, 0); }
else { $catname = ""; }

opentable($catname);
echo "<table cellpadding='0' cellspacing='0' class='tbl-border' style='text-align:left;width:100%;'>";
echo "<tr><td class='tbl2' width='50%'><a href='index.php'>{$locale['c_index']}</a> &raquo; {$catname}</td>\n<td class='tbl2' width='50%'>";
echo "<div style='float:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
echo "<input type='text' name='find' style='width:150px'>&ensp;";
echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
echo "</form></div>";
echo "</td>\n</tr>\n</table>";
$result = dbquery("SELECT v.*, vc.* FROM " . DB_VIDEO . " v
LEFT JOIN " . DB_VIDEO_CAT . " vc ON v.cat_id=vc.cat_id
WHERE v.cat_id = " . $_GET['cat_id'] . " LIMIT 0 , 20");
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			echo "<td valign='top' width='50%' class='tbl'>\n";
			echo "<a href='video.php?id=".$data['id']."'>";
			if ($data['video_type']=="youtube" && $data['url']) {
			echo "<img src='http://i2.ytimg.com/vi/{$data['url']}/default.jpg' alt='' style='float:left; padding-right:5px; border:0; width:90px; height:60px;' />\n";
			} else {
			echo "<img src='images/cat1.png' alt='' style='float:left; padding-right:5px; border:0; width:90px; height:60px;' />\n";
			}
			echo "<strong>".$data['name']."</strong></a>\n";
			if ($data['description'] != "") { echo "<br />\n<span class='small'>".nl2br(parseubb(parsesmileys($data['description']),"b|i|u|small|url|mail|img|color"))."</span>\n"; }
			echo "<br />\n<span class='small'>{$locale['v_tv']} ".number_format($data['views'])."</small>\n";
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
		}
footer();
closetable();
} else {

opentable($locale['v_index']);
$result = dbquery("SELECT cat_id, cat_name, cat_description FROM ".DB_VIDEO_CAT." ORDER BY cat_name ASC");
		
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0;
		echo "<table cellpadding='0' cellspacing='0' class='tbl-border' style='text-align:left;width:100%;'>";
		echo "<tr><td class='tbl2' width='50%'>{$locale['c_index']}</td>\n<td class='tbl2' width='50%'>";
		echo "<div style='float:right'><form name='search_video' action='search.php' method='get' enctype='application/x-www-form-urlencoded'>";
		echo "<input type='text' name='find' style='width:150px'>&ensp;";
		echo "<input type='submit' class='button' value='{$locale['s_button']}'>";
		echo "</form></div>";
		echo "</td>\n</tr>\n</table>";
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$tvids = dbcount("(cat_id)", DB_VIDEO, "cat_id='".$data['cat_id']."'");
			echo "<td valign='top' width='50%' class='tbl'><a href='".FUSION_SELF."?cat_id=".$data['cat_id']."'><img src='images/cat1.png' alt='' style='float:left; padding-right:5px; border:0; width:70px; height:70px;'' /><strong>".$data['cat_name']."</strong> ({$tvids})</a>";
			if ($data['cat_description'] != "") { echo "<br />\n<span class='small'>".nl2br(parseubb(parsesmileys($data['cat_description']),"b|i|u|small|url|mail|img|color"))."</span><br />"; }
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
		}
footer();
closetable();
}

require_once THEMES . "templates/footer.php";
?>