<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."video/infusion_db.php";

if (file_exists(INFUSIONS."video/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video/locale/English.php";
}

$inf_title = $locale['i_title'];
$inf_description = $locale['i_desc'];
$inf_version = "1.04";
$inf_developer = "<img src='http://www.phpfusionmods.com/images/avatars/545.png' width='30px' height='30px' style='vertical-align:middle' border='0'><a href='http://www.phpfusionmods.com/' style='border-bottom:1px dotted #BB6767; font-weight:bold;'>NetriX</a>";
$inf_email = "netrix@phpfusionmods.com";
$inf_weburl = "http://www.phpfusionmods.com";

$inf_folder = "video";

$inf_newtable[1] = DB_VIDEO." (
id mediumint(8) unsigned NOT NULL auto_increment,
cat_id int(5) NOT NULL,
uid mediumint(8) NOT NULL,
time int(10) NOT NULL default '0',
name varchar(200) NOT NULL default '',
description varchar(500) NOT NULL default '',
video_type varchar(7) NOT NULL default '',
file varchar(600) NOT NULL default '',
url varchar(300) NOT NULL default '',
custom varchar(6000) NOT NULL default '',
views mediumint(7) NOT NULL default '0',
total_rating int NOT NULL,
rating int NOT NULL,
total_ratings int NOT NULL,
PRIMARY KEY (id)
) ENGINE=MyISAM";

$inf_newtable[2] = DB_VIDEO_CAT." (
cat_id mediumint(8) unsigned NOT NULL auto_increment,
cat_name varchar(100) NOT NULL default '',
cat_description varchar(300) NOT NULL default '',
PRIMARY KEY (cat_id)
) ENGINE=MyISAM";

$inf_newtable[3] = DB_VIDEO_SET." (
netrix VARCHAR(100) NOT NULL DEFAULT 'netrix',
columns TINYINT(1) NOT NULL DEFAULT '2',
maxsize MEDIUMINT(10) NOT NULL DEFAULT '512000',
width MEDIUMINT(4) NOT NULL DEFAULT '470',
height MEDIUMINT(4) NOT NULL DEFAULT '320',
color VARCHAR(7) NOT NULL DEFAULT '#000000',
skin VARCHAR(50) NOT NULL DEFAULT 'glow.zip',
control VARCHAR(6) NOT NULL DEFAULT 'bottom',
auto VARCHAR(5) NOT NULL DEFAULT 'false',
display VARCHAR(8) NOT NULL DEFAULT 'exactfit',
UNIQUE KEY (netrix)
) ENGINE=MYISAM";


$message = "Hey " . $userdata['user_name'] . ",

Thanks for installing my infusion. Make sure to stay up-to-date by visiting my website. There we'll be able to offer support and consider your suggestions for future PHP-Fusion addons.

[b]Website:[/b] [url=http://www.phpfusionmods.com]PHPFusionMods.com[/url]
[b]Support Thread:[/b] [url=http://www.phpfusionmods.com/forum/viewthread.php?thread_id=218]Support/Feedback[/url]

Thanks,
NetriX
PHPFusionMods.com Webmaster";

$inf_insertdbrow[1] = DB_VIDEO_CAT." (cat_id, cat_name, cat_description) VALUES('1', 'Example Cat', 'Some example description text.')";
$inf_insertdbrow[2] = DB_VIDEO." (id, cat_id, uid, time, name, description, video_type, file, url, custom, views) VALUES('1', '1', '1', '".time()."', 'YouTube Video Example', 'Example YouTube Video Description', 'youtube', '', 'I5NUkb-0lRo', '', '1')";
$inf_insertdbrow[3] = DB_VIDEO_SET." (netrix, maxsize, width, height, color, skin, control, auto, display) VALUES('netrix', '512000', '470', '320', '#000000', 'glow.zip', 'bottom', 'false', 'exactfit')";
$inf_insertdbrow[4] = DB_MESSAGES .
" (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES('" .
$userdata['user_id'] . "','" . $userdata['user_id'] .
"','About Video Infusion','" . stripinput($message) . "','0','0','" . time() . "','0')";

$inf_droptable[1] = DB_VIDEO;
$inf_droptable[2] = DB_VIDEO_CAT;
$inf_droptable[3] = DB_VIDEO_SET;

$inf_altertable[1] = DB_VIDEO." CHANGE custom custom VARCHAR(5000) NOT NULL DEFAULT ''";
$inf_altertable[2] = DB_VIDEO." CHANGE description description VARCHAR(500) NOT NULL DEFAULT ''";
$inf_altertable[3] = DB_VIDEO." CHANGE url url VARCHAR(300) NOT NULL DEFAULT ''";
$inf_altertable[4] = DB_VIDEO." ADD total_rating INT NOT NULL";
$inf_altertable[5] = DB_VIDEO." ADD rating INT NOT NULL";
$inf_altertable[6] = DB_VIDEO." ADD total_ratings INT NOT NULL";
$inf_altertable[7] = DB_VIDEO_CAT." CHANGE cat_description cat_description VARCHAR(300) NOT NULL DEFAULT ''";
$inf_altertable[8] = DB_VIDEO_SET." ADD columns TINYINT(1) NOT NULL DEFAULT '2'";

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";

$inf_adminpanel[1] = array(
	"title" => "{$locale['i_atitle']}",
	"image" => "video_netrix.png",
	"panel" => "avideo.php",
	"rights" => "NXV"
);

$inf_sitelink[1] = array(
	"title" => "{$locale['i_title']}",
	"url" => "index.php",
	"visibility" => "0"
);
?>