<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Developer: Brandon Davis (NetriX)
| Website: PHPFusionMods.com
|  _   _      _        ___  __
| | \ | | ___| |_ _ __(_) \/ /
| |  \| |/ _ \ __| '__| |\  / 
| | |\  |  __/ |_| |  | |/  \ 
| |_| \_|\___|\__|_|  |_/_/\_\
|
| Do not remove the copyright footer without the developers
| consent. You may request the consent of removal by contacting
| me at the following email address: netrix@phpfusionmods.com
|
| Thank You,
| Brandon (NetriX)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES . "templates/header.php";
include INFUSIONS . "video/infusion_db.php";
include "inc.php";

if (isset($_GET['id']) && isnum($_GET['id'])) {

add_to_head('<link rel="stylesheet" type="text/css" href="rating/style.css">
<script type="text/javascript" src="rating/script.js"></script>');

$admin = dbquery("SELECT * FROM ".DB_VIDEO_SET." LIMIT 0,1");
		while ($d = dbarray($admin)) {
			$maxs = $d['maxsize'];
			$width = $d['width'];
			$height = $d['height'];
			$color = $d['color'];
			$skins = $d['skin'];
			$cont = $d['control'];
			$auto = $d['auto'];
			$display = $d['display'];
			}

		$result = dbquery("SELECT v.*, u.user_id,u.user_name FROM " . DB_VIDEO . " v
		LEFT JOIN " . DB_USERS . " u ON v.uid=u.user_id
		WHERE v.id = " . $_GET['id'] . " LIMIT 0 , 1");
		if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
		$types = array("file", "source", "custom", "youtube");
		if (!in_array($data['video_type'], $types)) {
			redirect("index.php").die();
		}
		$rating = (int)$data['rating'];
		$id = (int)$data['id'];
		$tratings = (int)$data['total_ratings'];
		$description = $data['description'];
		dbquery("UPDATE ".DB_VIDEO." SET views=views+1 WHERE id='".$_GET['id']."'");
		opentable($data['name']);
		$catname = dbquery("SELECT cat_name, cat_id FROM ".DB_VIDEO_CAT." WHERE cat_id='".$data['cat_id']."'");
		while ($cat = dbarray($catname)) { $category=$cat['cat_name']; $cat_id=$cat['cat_id']; }
		echo "<table cellpadding='0' cellspacing='1' class='tbl-border' style='text-align:left;width:100%;margin-bottom:1em;'>
		<tr><td class='tbl2' style='width:25%'>{$locale['v_cat']}:<br /><a href='index.php?cat_id={$cat_id}'>{$category}</a></td>
		<td class='tbl2' style='width:25%'>{$locale['v_ab']}<br />".showdate("shortdate", $data['time'])."</td>
		<td class='tbl2' style='width:25%'>{$locale['v_pb']}<br /><a href='../../profile.php?lookup={$data['user_id']}'>{$data['user_name']}</a></td>
		<td class='tbl2' style='width:25%'>{$locale['v_tv']}<br />".number_format($data['views'])."</td></tr>\n";
		echo "</table>";
		add_to_title(" - {$data['name']}");
		if ($data['custom'] && $data['video_type']=="custom") {
			echo "<div style='text-align:center'>".stripslashes($data['custom'])."</div>";
		} elseif ($data['url'] && $data['video_type']=="source" || $data['video_type']=="youtube" || $data['video_type']=="file") {
			echo "<script type='text/javascript' src='player/swfobject.js'></script>\n";
			echo "<div style='text-align:center'>\n";
			echo "<div id='netrix_video'>{$locale['v_rep']}</div>";
				if ($data['video_type'] == "file") { $file = "../videos/".$data['file']; }
				elseif ($data['video_type'] == "youtube") { $file = 'http://www.youtube.com/v/'.$data['url']; }
				elseif ($data['video_type'] == "source") { $file = $data['url']; }
				else { $file = ""; redirect("index.php").die(); }
					echo "<script type='text/javascript'>
					var so = new SWFObject('player/player.swf','ply','{$width}','{$height}','9');
					so.addParam('allowfullscreen','true');
					so.addParam('allowscriptaccess','always');
					so.addParam('wmode','opaque');
					so.addVariable('file','{$file}');
					so.addVariable('backcolor', '{$color}');
					so.addVariable('skin','skins/{$skins}');
					so.addVariable('controlbar','{$cont}');
					so.addVariable('stretching','{$display}');
					so.addVariable('autostart', '{$auto}');
					so.addVariable('dock', 'false');
					so.addVariable('plugins', 'viral-2, hd-1');
					so.addVariable('viral.onpause', 'false');
					so.addVariable('viral.callout', 'none');
					so.write('netrix_video');";
					echo "</script>\n</div>";
		}
	}
			echo "<table cellpadding='0' cellspacing='0' class='tbl-border' style='text-align:left;width:100%;margin-top:5px;'>";
			if ($description != "") {
			echo "<tr><td colspan='2' class='tbl2'><strong>{$locale['cat_desc']}</strong> ".nl2br(parseubb(parsesmileys($description),"b|i|u|small|url|mail|img|color"))."</td></tr>\n"; }
			echo "<tr><td class='tbl2' width='40%'>";
			// AddThis Script
			echo '<!-- AddThis Button BEGIN -->
			<div class="addthis_toolbox addthis_default_style" style="margin:0px auto">
			<a href="http://www.addthis.com/bookmark.php?v=250&amp;pubid=ra-4dcf3d49350daf71" class="addthis_button_compact">Share</a>
			<span class="addthis_separator">|</span>
			<a class="addthis_button_preferred_1"></a>
			<a class="addthis_button_preferred_2"></a>
			<a class="addthis_button_preferred_3"></a>
			<a class="addthis_button_preferred_4"></a>
			</div>
			<script type="text/javascript">var addthis_config = {"data_track_clickback":true};</script>
			<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=ra-4dcf3d49350daf71"></script>
			<!-- AddThis Button END -->';
			// End AddThis
			echo "</td>\n";
			echo "<td class='tbl2' width='60%' style='text-align:right'>\n";
			echo "<div id='rating_{$id}'>";
			//echo $locale['v_ratings']. " ";
			echo "<span class='star_1'><img src='rating/star_blank.png' alt='' ".($rating > 0?"class='hover'":"")." /></span>";
			echo "<span class='star_2'><img src='rating/star_blank.png' alt='' ".($rating > 1.5?"class='hover'":"")." /></span>";
			echo "<span class='star_3'><img src='rating/star_blank.png' alt='' ".($rating > 2.5?"class='hover'":"")." /></span>";
			echo "<span class='star_4'><img src='rating/star_blank.png' alt='' ".($rating > 3.5?"class='hover'":"")." /></span>";
			echo "<span class='star_5'><img src='rating/star_blank.png' alt='' ".($rating > 4.5?"class='hover'":"")." /></span>";
			echo "({$locale['v_rat']} <strong>{$rating}</strong> / 5) ".($tratings >= 1?"(Total Ratings: {$tratings}":"").")";
			echo "</div>";
			echo "</tr></table>";
} else {
	redirect("index.php").die($locale['v_no']);
}
closetable();
require_once INCLUDES."comments_include.php";
showcomments("NX", DB_VIDEO, "id", $_GET['id'], FUSION_SELF."?id=".$_GET['id']);
footer();
} else {
	redirect("index.php").die();
}
require_once THEMES . "templates/footer.php";
?>